All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class AppletStateChangedListenerList

    com.sas.awt.AppletStateChangedListenerList

    public final class AppletStateChangedListenerList

Manage a list of listeners for the com.sas.AppletStateChangedEvent event.

See Also:
  `AppletStateChangedEvent`, `AppletStateChangedListener`

Constructor Summary
`AppletStateChangedListenerList()`
`AppletStateChangedListenerList(int initialIncrement)`

Method Summary
`void` | `add(AppletStateChangedListener listener)` Add a listener to the list of listeners.
`AppletStateChangedListener[]` | `getListeners()` Return a safe copy of the list of listeners for this event.
`void` | `remove(AppletStateChangedListener listener)` Remove a listener from the list of listeners.

Constructor Detail

### AppletStateChangedListenerList

    public AppletStateChangedListenerList()

### AppletStateChangedListenerList

    public AppletStateChangedListenerList(int initialIncrement)

Method Detail

### add

    public void add(AppletStateChangedListener listener)

  Add a listener to the list of listeners.

  Parameters:
    `listener` - a new listener for the AppletStateChangedEvent event

### getListeners

    public AppletStateChangedListener[] getListeners()

  Return a safe copy of the list of listeners for this event. the client may iterate over this list and send events to the clients in a thread safe manner; calls to addAppletStateChangedListener or removeAppletStateChangedListener may take place but do not affect this copied listener list.

  Returns:
    a safe arry copy of the listener list.

### remove

    public void remove(AppletStateChangedListener listener)

  Remove a listener from the list of listeners.

  Parameters:
    `listener` - the listener to remove from the list

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.